package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 台账同步标志枚举
 */
@Getter
@AllArgsConstructor
public enum LedgerSyncFlagEnum {

    ZERO("0", "未同步"),
    ONE("1", "已同步");

    private final String code;
    private final String desc;

    public static LedgerSyncFlagEnum getByCode(String code) {
        for (LedgerSyncFlagEnum itemEnum : values()) {
            if (itemEnum.getCode().equals(code)) {
                return itemEnum;
            }
        }
        return null;
    }

}
